EZ_GetSpinButtonValue(3)

NAME
EZ_GetSpinButtonValue - return the current value of a spin button.

SYNOPSIS
#include <EZ.h>

char *EZ_GetSpinButtonValue( EZ_Widget *spin)

ARGUMENTS
spin Specifies a spin button.

DESCRIPTION
A spin button is a composite widget, it consists of an entry and a scroll button. A spin button is used to cycle through a series of string type inputs. The value is controled by a spin function of type

  char *(func)(int old_idx, int new_idx, void *clientData);

When the left mouse button is pressed over the arrow button,
the spin function  called to compute the
next choice. The value will then be displayed in the entry
widget.

EZ_GetSpinButtonValue returns the current value of
a spin button.

SEE ALSO
EZ_SetupSpinButton(3), EZ_GetSpinButtonComponents(3)